For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
      • POSTCreate contact attribute
      • PUTUpdate contact attribute
      • GETList all attributes
      • DELDelete an attribute
      • DELDelete a multiple-choice attribute option
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Contact ManagementAttributes

Delete an attribute

DELETE
https://api.brevo.com/v3/contacts/attributes/:attributeCategory/:attributeName
DELETE
/v3/contacts/attributes/:attributeCategory/:attributeName
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.contacts.deleteAttribute("normal", "attributeName");
8}
9main();

Permanently delete an existing contact attribute by its category and name. The attribute must exist in the specified category (normal, transactional, category, calculated, or global), otherwise a 404 error is returned.

Was this page helpful?
Previous

Delete a multiple-choice attribute option

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

attributeCategoryenumRequired
Category of the attribute
Allowed values:
attributeNamestringRequired
Name of the existing attribute

Response

Attribute deleted

Errors

400
Bad Request Error
404
Not Found Error